Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# SheetNode Class Reference

This class draws a visible representation of the NURBS surface stored in its NurbsSurfaceEvaluator. More...

Inheritance diagram for SheetNode:

List of all members.

## Public Member Functions
| SheetNode (string name)
int | getNumUSubdiv ()
| Returns the number of subdivisions per cubic segment to draw in the U direction.
int | getNumVSubdiv ()
| Returns the number of subdivisions per cubic segment to draw in the V direction.
NurbsSurfaceEvaluator | getSurface ()
| Returns the surface represented by the SheetNode.
bool | getUseVertexColor ()
| Returns the "use vertex color" flag.
| resetBound (NodePath const rel_to)
| Recomputes the bounding volume.
| setNumUSubdiv (int num_u_subdiv)
| Specifies the number of subdivisions per cubic segment (that is, per unique knot value) to draw in a fixed uniform tesselation of the surface in the U direction.
| setNumVSubdiv (int num_v_subdiv)
| Specifies the number of subdivisions per cubic segment (that is, per unique knot value) to draw in a fixed uniform tesselation of the surface in the V direction.
| setSurface (NurbsSurfaceEvaluator surface)
| Sets the particular surface represented by the SheetNode.
| setUseVertexColor (bool flag)
| Sets the "use vertex color" flag.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This class draws a visible representation of the NURBS surface stored in its NurbsSurfaceEvaluator.

It automatically recomputes the surface every frame.

This is not related to NurbsSurface, CubicSurfaceseg or any of the ParametricSurface-derived objects in this module. It is a completely parallel implementation of NURBS surfaces, and will probably eventually replace the whole ParametricSurface class hierarchy.

## Constructor & Destructor Documentation

SheetNode | ( | string | name | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from PandaNode.

int getNumUSubdiv | ( |  | ) |

Returns the number of subdivisions per cubic segment to draw in the U direction.

See set_num_u_subdiv().

int getNumVSubdiv | ( |  | ) |

Returns the number of subdivisions per cubic segment to draw in the V direction.

See set_num_v_subdiv().

NurbsSurfaceEvaluator getSurface | ( |  | ) |

Returns the surface represented by the SheetNode.

bool getUseVertexColor | ( |  | ) |

Returns the "use vertex color" flag.

See set_use_vertex_color().

resetBound | ( | NodePath const | rel_to | ) |

Recomputes the bounding volume.

This is normally called automatically, but it must occasionally be called explicitly when the surface has changed properties outside of this node's knowledge.

setNumUSubdiv | ( | int | num_u_subdiv | ) |

Specifies the number of subdivisions per cubic segment (that is, per unique knot value) to draw in a fixed uniform tesselation of the surface in the U direction.

setNumVSubdiv | ( | int | num_v_subdiv | ) |

Specifies the number of subdivisions per cubic segment (that is, per unique knot value) to draw in a fixed uniform tesselation of the surface in the V direction.

setSurface | ( | NurbsSurfaceEvaluator | surface | ) |

Sets the particular surface represented by the SheetNode.

setUseVertexColor | ( | bool | flag | ) |

Sets the "use vertex color" flag.

When this is true, the R, G, B, A vertex color is assumed to be stored as the dimensions 0, 1, 2, 3, respectively, of the extended vertex values. Use NurbsCurveEvaluator.set_extended_vertex() to set these values.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties